#pragma once
#ifndef EEPROM_H
#define EEPROM_H



#define FLASH_IMAGE_BASE         0x4000  // Basisadresse des Images im Flash (Aussparung fuer URLoader)

// Adressen im EEPROM des ATmega128 fuer AEIV-Geraeteserie
#define EEPROM_BOOT_RESCUE       0x0FDC  // Wiederherstellungs-Image des Bootloaders schon eingespielt?
#define EEPROM_SERIAL            0x0FE0  // Seriennummer des Geraetes
#define EEPROM_BUS_ADDRESS       0x0FE4  // Busadresse des Geraetes
#define EEPROM_LCD_KONTRAST      0x0FE6  // Kontrastwert des LCDs
#define EEPROM_BOOT_BEFEHL       0x0FE7  // letztes Byte im EEPROM
#define EEPROM_BOOT_VERSION      0x0FE8  // Version des Bootloaders
#define EEPROM_FIRMWARE_VERSION  0x0FEC  // Version der Firmware
#define EEPROM_IMAGE_SOURCE      0x0FF0  // Startadresse des Image im externen Flash
#define EEPROM_IMAGE_DEST        0x0FF4  // Zieladresse des Image
#define EEPROM_IMAGE_LEN         0x0FF8  // Laenge des Images
#define EEPROM_IMAGE_CRC         0x0FFC  // CRC des Images


#ifdef GIBTESNICHT
UINT8 EEPROMGetInt8(UINT16 ptr);
VOID EEPROMSetInt8(UINT16 ptr, UINT8 value);
UINT16 EEPROMGetInt16(UINT16 ptr);
VOID EEPROMSetInt16(UINT16 ptr, UINT16 value);
UINT32 EEPROMGetInt32(UINT16 ptr);
VOID EEPROMSetInt32(UINT16 ptr, UINT32 value);
VOID EEPROMRead(UINT8 *values, UINT16 ptr, UINT16 cnt);
VOID EEPROMWrite(UINT16 ptr, UINT8 *values, UINT16 cnt);
#endif


#endif

